Subject: bug#31706: Emacs 26.1 unable to visit files in vc-git buffer's links after vc-pull

From: Alan Third <[email-masked]>
Date: Sun, 10 Jun 2018 16:35:54 +0100

On Fri, Jun 08, 2018 at 09:39:59AM +0300, Eli Zaretskii wrote:
> > Date: Thu, 7 Jun 2018 21:52:42 +0100
> > From: Alan Third <[email-masked]>
> > Cc: Van L <[email-masked]>, [email-masked]
> > 
> > > So it could be something specific to NS.  Can someone with access to
> > > NS port please try reproducing this?
> > 
> > I can reproduce this on Emacs 25, and all versions of Emacs 26 that I
> > tried, but not on master.
> 
> Thanks.  Do you have an idea why it happens and what change on master
> fixed it?

It’s commit 5ea5b2536ef580fe4b17b6dbd62df90d51e73e5f. I don’t
understand why, though.
-- 
Alan Third